

--Title: Joining weights to the GSS-HLFS-MSD benefit table 
--Author: Chris K. Deak
--Date created: 29 June, 2022

--Last updated: 9 February, 2023
--Last updated by: Chris
--Changes made: 
		-- Joined the msd1 and msd2 tables with weights
		-- Created new MSD benefit variables (MSD = Main + MSD)
		-- Saved them into our final table


-- Description:

-- Selecting weights for each wave in GSS and HLFS
-- Unite them into one table
-- Join the weights table to the main Masterfile



----------------------------------------------------------------
----------------------------------------------------------------
----------------------------------------------------------------
-----------------   ADDING WEIGHTS     -------------------------
----------------------------------------------------------------
----------------------------------------------------------------
----------------------------------------------------------------


/*
-- clean up temporary tables 

drop table #wgt_gss
drop table #hwgt1
drop table #hwgt2
drop table #hwgt3
drop table #hwgt4
drop table #hwgt1b
drop table #hwgt2b
drop table #hwgt3b
drop table #hwgt4b
drop table #hwgt_all
drop table #wgt_gss_hlfs
--drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]
--drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]

*/



-- GSS ALL

select 
	snz_uid		
,	snz_gss_hhld_uid	as	hh_id
,	null	as	hlfs_qrt
,	gss_pq_interview_start_date	as 	interview_date
,	[gss_pq_person_FinalWgt_nbr]	as	F_Wgt
,	null	as	wgt_0
,	[gss_pq_person_FinalWgt1_nbr]	as	wgt_1
,	[gss_pq_person_FinalWgt2_nbr]	as	wgt_2
,	[gss_pq_person_FinalWgt3_nbr]	as	wgt_3
,	[gss_pq_person_FinalWgt4_nbr]	as	wgt_4
,	[gss_pq_person_FinalWgt5_nbr]	as	wgt_5
,	[gss_pq_person_FinalWgt6_nbr]	as	wgt_6
,	[gss_pq_person_FinalWgt7_nbr]	as	wgt_7
,	[gss_pq_person_FinalWgt8_nbr]	as	wgt_8
,	[gss_pq_person_FinalWgt9_nbr]	as	wgt_9
,	[gss_pq_person_FinalWgt10_nbr]	as	wgt_10
,	[gss_pq_person_FinalWgt11_nbr]	as	wgt_11
,	[gss_pq_person_FinalWgt12_nbr]	as	wgt_12
,	[gss_pq_person_FinalWgt13_nbr]	as	wgt_13
,	[gss_pq_person_FinalWgt14_nbr]	as	wgt_14
,	[gss_pq_person_FinalWgt15_nbr]	as	wgt_15
,	[gss_pq_person_FinalWgt16_nbr]	as	wgt_16
,	[gss_pq_person_FinalWgt17_nbr]	as	wgt_17
,	[gss_pq_person_FinalWgt18_nbr]	as	wgt_18
,	[gss_pq_person_FinalWgt19_nbr]	as	wgt_19
,	[gss_pq_person_FinalWgt20_nbr]	as	wgt_20
,	[gss_pq_person_FinalWgt21_nbr]	as	wgt_21
,	[gss_pq_person_FinalWgt22_nbr]	as	wgt_22
,	[gss_pq_person_FinalWgt23_nbr]	as	wgt_23
,	[gss_pq_person_FinalWgt24_nbr]	as	wgt_24
,	[gss_pq_person_FinalWgt25_nbr]	as	wgt_25
,	[gss_pq_person_FinalWgt26_nbr]	as	wgt_26
,	[gss_pq_person_FinalWgt27_nbr]	as	wgt_27
,	[gss_pq_person_FinalWgt28_nbr]	as	wgt_28
,	[gss_pq_person_FinalWgt29_nbr]	as	wgt_29
,	[gss_pq_person_FinalWgt30_nbr]	as	wgt_30
,	[gss_pq_person_FinalWgt31_nbr]	as	wgt_31
,	[gss_pq_person_FinalWgt32_nbr]	as	wgt_32
,	[gss_pq_person_FinalWgt33_nbr]	as	wgt_33
,	[gss_pq_person_FinalWgt34_nbr]	as	wgt_34
,	[gss_pq_person_FinalWgt35_nbr]	as	wgt_35
,	[gss_pq_person_FinalWgt36_nbr]	as	wgt_36
,	[gss_pq_person_FinalWgt37_nbr]	as	wgt_37
,	[gss_pq_person_FinalWgt38_nbr]	as	wgt_38
,	[gss_pq_person_FinalWgt39_nbr]	as	wgt_39
,	[gss_pq_person_FinalWgt40_nbr]	as	wgt_40
,	[gss_pq_person_FinalWgt41_nbr]	as	wgt_41
,	[gss_pq_person_FinalWgt42_nbr]	as	wgt_42
,	[gss_pq_person_FinalWgt43_nbr]	as	wgt_43
,	[gss_pq_person_FinalWgt44_nbr]	as	wgt_44
,	[gss_pq_person_FinalWgt45_nbr]	as	wgt_45
,	[gss_pq_person_FinalWgt46_nbr]	as	wgt_46
,	[gss_pq_person_FinalWgt47_nbr]	as	wgt_47
,	[gss_pq_person_FinalWgt48_nbr]	as	wgt_48
,	[gss_pq_person_FinalWgt49_nbr]	as	wgt_49
,	[gss_pq_person_FinalWgt50_nbr]	as	wgt_50
,	[gss_pq_person_FinalWgt51_nbr]	as	wgt_51
,	[gss_pq_person_FinalWgt52_nbr]	as	wgt_52
,	[gss_pq_person_FinalWgt53_nbr]	as	wgt_53
,	[gss_pq_person_FinalWgt54_nbr]	as	wgt_54
,	[gss_pq_person_FinalWgt55_nbr]	as	wgt_55
,	[gss_pq_person_FinalWgt56_nbr]	as	wgt_56
,	[gss_pq_person_FinalWgt57_nbr]	as	wgt_57
,	[gss_pq_person_FinalWgt58_nbr]	as	wgt_58
,	[gss_pq_person_FinalWgt59_nbr]	as	wgt_59
,	[gss_pq_person_FinalWgt60_nbr]	as	wgt_60
,	[gss_pq_person_FinalWgt61_nbr]	as	wgt_61
,	[gss_pq_person_FinalWgt62_nbr]	as	wgt_62
,	[gss_pq_person_FinalWgt63_nbr]	as	wgt_63
,	[gss_pq_person_FinalWgt64_nbr]	as	wgt_64
,	[gss_pq_person_FinalWgt65_nbr]	as	wgt_65
,	[gss_pq_person_FinalWgt66_nbr]	as	wgt_66
,	[gss_pq_person_FinalWgt67_nbr]	as	wgt_67
,	[gss_pq_person_FinalWgt68_nbr]	as	wgt_68
,	[gss_pq_person_FinalWgt69_nbr]	as	wgt_69
,	[gss_pq_person_FinalWgt70_nbr]	as	wgt_70
,	[gss_pq_person_FinalWgt71_nbr]	as	wgt_71
,	[gss_pq_person_FinalWgt72_nbr]	as	wgt_72
,	[gss_pq_person_FinalWgt73_nbr]	as	wgt_73
,	[gss_pq_person_FinalWgt74_nbr]	as	wgt_74
,	[gss_pq_person_FinalWgt75_nbr]	as	wgt_75
,	[gss_pq_person_FinalWgt76_nbr]	as	wgt_76
,	[gss_pq_person_FinalWgt77_nbr]	as	wgt_77
,	[gss_pq_person_FinalWgt78_nbr]	as	wgt_78
,	[gss_pq_person_FinalWgt79_nbr]	as	wgt_79
,	[gss_pq_person_FinalWgt80_nbr]	as	wgt_80
,	[gss_pq_person_FinalWgt81_nbr]	as	wgt_81
,	[gss_pq_person_FinalWgt82_nbr]	as	wgt_82
,	[gss_pq_person_FinalWgt83_nbr]	as	wgt_83
,	[gss_pq_person_FinalWgt84_nbr]	as	wgt_84
,	[gss_pq_person_FinalWgt85_nbr]	as	wgt_85
,	[gss_pq_person_FinalWgt86_nbr]	as	wgt_86
,	[gss_pq_person_FinalWgt87_nbr]	as	wgt_87
,	[gss_pq_person_FinalWgt88_nbr]	as	wgt_88
,	[gss_pq_person_FinalWgt89_nbr]	as	wgt_89
,	[gss_pq_person_FinalWgt90_nbr]	as	wgt_90
,	[gss_pq_person_FinalWgt91_nbr]	as	wgt_91
,	[gss_pq_person_FinalWgt92_nbr]	as	wgt_92
,	[gss_pq_person_FinalWgt93_nbr]	as	wgt_93
,	[gss_pq_person_FinalWgt94_nbr]	as	wgt_94
,	[gss_pq_person_FinalWgt95_nbr]	as	wgt_95
,	[gss_pq_person_FinalWgt96_nbr]	as	wgt_96
,	[gss_pq_person_FinalWgt97_nbr]	as	wgt_97
,	[gss_pq_person_FinalWgt98_nbr]	as	wgt_98
,	[gss_pq_person_FinalWgt99_nbr]	as	wgt_99
,	[gss_pq_person_FinalWgt100_nbr]	as	wgt_100
into #wgt_gss
from IDI_Clean_202206.gss_clean.gss_person_2008

union 

select 
	snz_uid		
,	snz_gss_hhld_uid	as	hh_id
,	null	as	hlfs_qrt
,	gss_pq_interview_start_date	as 	interview_date
,	[gss_pq_PersonGSSFinalWeight]	as	F_Wgt
,	null	as	wgt_0
,	gss_pq_PersonGSSFinalWeight_1	as	wgt_1
,	gss_pq_PersonGSSFinalWeight_2	as	wgt_2
,	gss_pq_PersonGSSFinalWeight_3	as	wgt_3
,	gss_pq_PersonGSSFinalWeight_4	as	wgt_4
,	gss_pq_PersonGSSFinalWeight_5	as	wgt_5
,	gss_pq_PersonGSSFinalWeight_6	as	wgt_6
,	gss_pq_PersonGSSFinalWeight_7	as	wgt_7
,	gss_pq_PersonGSSFinalWeight_8	as	wgt_8
,	gss_pq_PersonGSSFinalWeight_9	as	wgt_9
,	gss_pq_PersonGSSFinalWeight_10	as	wgt_10
,	gss_pq_PersonGSSFinalWeight_11	as	wgt_11
,	gss_pq_PersonGSSFinalWeight_12	as	wgt_12
,	gss_pq_PersonGSSFinalWeight_13	as	wgt_13
,	gss_pq_PersonGSSFinalWeight_14	as	wgt_14
,	gss_pq_PersonGSSFinalWeight_15	as	wgt_15
,	gss_pq_PersonGSSFinalWeight_16	as	wgt_16
,	gss_pq_PersonGSSFinalWeight_17	as	wgt_17
,	gss_pq_PersonGSSFinalWeight_18	as	wgt_18
,	gss_pq_PersonGSSFinalWeight_19	as	wgt_19
,	gss_pq_PersonGSSFinalWeight_20	as	wgt_20
,	gss_pq_PersonGSSFinalWeight_21	as	wgt_21
,	gss_pq_PersonGSSFinalWeight_22	as	wgt_22
,	gss_pq_PersonGSSFinalWeight_23	as	wgt_23
,	gss_pq_PersonGSSFinalWeight_24	as	wgt_24
,	gss_pq_PersonGSSFinalWeight_25	as	wgt_25
,	gss_pq_PersonGSSFinalWeight_26	as	wgt_26
,	gss_pq_PersonGSSFinalWeight_27	as	wgt_27
,	gss_pq_PersonGSSFinalWeight_28	as	wgt_28
,	gss_pq_PersonGSSFinalWeight_29	as	wgt_29
,	gss_pq_PersonGSSFinalWeight_30	as	wgt_30
,	gss_pq_PersonGSSFinalWeight_31	as	wgt_31
,	gss_pq_PersonGSSFinalWeight_32	as	wgt_32
,	gss_pq_PersonGSSFinalWeight_33	as	wgt_33
,	gss_pq_PersonGSSFinalWeight_34	as	wgt_34
,	gss_pq_PersonGSSFinalWeight_35	as	wgt_35
,	gss_pq_PersonGSSFinalWeight_36	as	wgt_36
,	gss_pq_PersonGSSFinalWeight_37	as	wgt_37
,	gss_pq_PersonGSSFinalWeight_38	as	wgt_38
,	gss_pq_PersonGSSFinalWeight_39	as	wgt_39
,	gss_pq_PersonGSSFinalWeight_40	as	wgt_40
,	gss_pq_PersonGSSFinalWeight_41	as	wgt_41
,	gss_pq_PersonGSSFinalWeight_42	as	wgt_42
,	gss_pq_PersonGSSFinalWeight_43	as	wgt_43
,	gss_pq_PersonGSSFinalWeight_44	as	wgt_44
,	gss_pq_PersonGSSFinalWeight_45	as	wgt_45
,	gss_pq_PersonGSSFinalWeight_46	as	wgt_46
,	gss_pq_PersonGSSFinalWeight_47	as	wgt_47
,	gss_pq_PersonGSSFinalWeight_48	as	wgt_48
,	gss_pq_PersonGSSFinalWeight_49	as	wgt_49
,	gss_pq_PersonGSSFinalWeight_50	as	wgt_50
,	gss_pq_PersonGSSFinalWeight_51	as	wgt_51
,	gss_pq_PersonGSSFinalWeight_52	as	wgt_52
,	gss_pq_PersonGSSFinalWeight_53	as	wgt_53
,	gss_pq_PersonGSSFinalWeight_54	as	wgt_54
,	gss_pq_PersonGSSFinalWeight_55	as	wgt_55
,	gss_pq_PersonGSSFinalWeight_56	as	wgt_56
,	gss_pq_PersonGSSFinalWeight_57	as	wgt_57
,	gss_pq_PersonGSSFinalWeight_58	as	wgt_58
,	gss_pq_PersonGSSFinalWeight_59	as	wgt_59
,	gss_pq_PersonGSSFinalWeight_60	as	wgt_60
,	gss_pq_PersonGSSFinalWeight_61	as	wgt_61
,	gss_pq_PersonGSSFinalWeight_62	as	wgt_62
,	gss_pq_PersonGSSFinalWeight_63	as	wgt_63
,	gss_pq_PersonGSSFinalWeight_64	as	wgt_64
,	gss_pq_PersonGSSFinalWeight_65	as	wgt_65
,	gss_pq_PersonGSSFinalWeight_66	as	wgt_66
,	gss_pq_PersonGSSFinalWeight_67	as	wgt_67
,	gss_pq_PersonGSSFinalWeight_68	as	wgt_68
,	gss_pq_PersonGSSFinalWeight_69	as	wgt_69
,	gss_pq_PersonGSSFinalWeight_70	as	wgt_70
,	gss_pq_PersonGSSFinalWeight_71	as	wgt_71
,	gss_pq_PersonGSSFinalWeight_72	as	wgt_72
,	gss_pq_PersonGSSFinalWeight_73	as	wgt_73
,	gss_pq_PersonGSSFinalWeight_74	as	wgt_74
,	gss_pq_PersonGSSFinalWeight_75	as	wgt_75
,	gss_pq_PersonGSSFinalWeight_76	as	wgt_76
,	gss_pq_PersonGSSFinalWeight_77	as	wgt_77
,	gss_pq_PersonGSSFinalWeight_78	as	wgt_78
,	gss_pq_PersonGSSFinalWeight_79	as	wgt_79
,	gss_pq_PersonGSSFinalWeight_80	as	wgt_80
,	gss_pq_PersonGSSFinalWeight_81	as	wgt_81
,	gss_pq_PersonGSSFinalWeight_82	as	wgt_82
,	gss_pq_PersonGSSFinalWeight_83	as	wgt_83
,	gss_pq_PersonGSSFinalWeight_84	as	wgt_84
,	gss_pq_PersonGSSFinalWeight_85	as	wgt_85
,	gss_pq_PersonGSSFinalWeight_86	as	wgt_86
,	gss_pq_PersonGSSFinalWeight_87	as	wgt_87
,	gss_pq_PersonGSSFinalWeight_88	as	wgt_88
,	gss_pq_PersonGSSFinalWeight_89	as	wgt_89
,	gss_pq_PersonGSSFinalWeight_90	as	wgt_90
,	gss_pq_PersonGSSFinalWeight_91	as	wgt_91
,	gss_pq_PersonGSSFinalWeight_92	as	wgt_92
,	gss_pq_PersonGSSFinalWeight_93	as	wgt_93
,	gss_pq_PersonGSSFinalWeight_94	as	wgt_94
,	gss_pq_PersonGSSFinalWeight_95	as	wgt_95
,	gss_pq_PersonGSSFinalWeight_96	as	wgt_96
,	gss_pq_PersonGSSFinalWeight_97	as	wgt_97
,	gss_pq_PersonGSSFinalWeight_98	as	wgt_98
,	gss_pq_PersonGSSFinalWeight_99	as	wgt_99
,	gss_pq_PersonGSSFinalWeight_100	as	wgt_100
from IDI_Clean_202206.gss_clean.gss_person_2010

union

select 
	snz_uid		
,	snz_gss_hhld_uid	as	hh_id
,	null	as	hlfs_qrt
,	gss_pq_interview_start_date	as 	interview_date
,	[gss_pq_PersonGSSFinalweight]	as	F_Wgt
,	gss_pq_PersonGSSFinalWeight_0	as	wgt_0
,	gss_pq_PersonGSSFinalWeight_1	as	wgt_1
,	gss_pq_PersonGSSFinalWeight_2	as	wgt_2
,	gss_pq_PersonGSSFinalWeight_3	as	wgt_3
,	gss_pq_PersonGSSFinalWeight_4	as	wgt_4
,	gss_pq_PersonGSSFinalWeight_5	as	wgt_5
,	gss_pq_PersonGSSFinalWeight_6	as	wgt_6
,	gss_pq_PersonGSSFinalWeight_7	as	wgt_7
,	gss_pq_PersonGSSFinalWeight_8	as	wgt_8
,	gss_pq_PersonGSSFinalWeight_9	as	wgt_9
,	gss_pq_PersonGSSFinalWeight_10	as	wgt_10
,	gss_pq_PersonGSSFinalWeight_11	as	wgt_11
,	gss_pq_PersonGSSFinalWeight_12	as	wgt_12
,	gss_pq_PersonGSSFinalWeight_13	as	wgt_13
,	gss_pq_PersonGSSFinalWeight_14	as	wgt_14
,	gss_pq_PersonGSSFinalWeight_15	as	wgt_15
,	gss_pq_PersonGSSFinalWeight_16	as	wgt_16
,	gss_pq_PersonGSSFinalWeight_17	as	wgt_17
,	gss_pq_PersonGSSFinalWeight_18	as	wgt_18
,	gss_pq_PersonGSSFinalWeight_19	as	wgt_19
,	gss_pq_PersonGSSFinalWeight_20	as	wgt_20
,	gss_pq_PersonGSSFinalWeight_21	as	wgt_21
,	gss_pq_PersonGSSFinalWeight_22	as	wgt_22
,	gss_pq_PersonGSSFinalWeight_23	as	wgt_23
,	gss_pq_PersonGSSFinalWeight_24	as	wgt_24
,	gss_pq_PersonGSSFinalWeight_25	as	wgt_25
,	gss_pq_PersonGSSFinalWeight_26	as	wgt_26
,	gss_pq_PersonGSSFinalWeight_27	as	wgt_27
,	gss_pq_PersonGSSFinalWeight_28	as	wgt_28
,	gss_pq_PersonGSSFinalWeight_29	as	wgt_29
,	gss_pq_PersonGSSFinalWeight_30	as	wgt_30
,	gss_pq_PersonGSSFinalWeight_31	as	wgt_31
,	gss_pq_PersonGSSFinalWeight_32	as	wgt_32
,	gss_pq_PersonGSSFinalWeight_33	as	wgt_33
,	gss_pq_PersonGSSFinalWeight_34	as	wgt_34
,	gss_pq_PersonGSSFinalWeight_35	as	wgt_35
,	gss_pq_PersonGSSFinalWeight_36	as	wgt_36
,	gss_pq_PersonGSSFinalWeight_37	as	wgt_37
,	gss_pq_PersonGSSFinalWeight_38	as	wgt_38
,	gss_pq_PersonGSSFinalWeight_39	as	wgt_39
,	gss_pq_PersonGSSFinalWeight_40	as	wgt_40
,	gss_pq_PersonGSSFinalWeight_41	as	wgt_41
,	gss_pq_PersonGSSFinalWeight_42	as	wgt_42
,	gss_pq_PersonGSSFinalWeight_43	as	wgt_43
,	gss_pq_PersonGSSFinalWeight_44	as	wgt_44
,	gss_pq_PersonGSSFinalWeight_45	as	wgt_45
,	gss_pq_PersonGSSFinalWeight_46	as	wgt_46
,	gss_pq_PersonGSSFinalWeight_47	as	wgt_47
,	gss_pq_PersonGSSFinalWeight_48	as	wgt_48
,	gss_pq_PersonGSSFinalWeight_49	as	wgt_49
,	gss_pq_PersonGSSFinalWeight_50	as	wgt_50
,	gss_pq_PersonGSSFinalWeight_51	as	wgt_51
,	gss_pq_PersonGSSFinalWeight_52	as	wgt_52
,	gss_pq_PersonGSSFinalWeight_53	as	wgt_53
,	gss_pq_PersonGSSFinalWeight_54	as	wgt_54
,	gss_pq_PersonGSSFinalWeight_55	as	wgt_55
,	gss_pq_PersonGSSFinalWeight_56	as	wgt_56
,	gss_pq_PersonGSSFinalWeight_57	as	wgt_57
,	gss_pq_PersonGSSFinalWeight_58	as	wgt_58
,	gss_pq_PersonGSSFinalWeight_59	as	wgt_59
,	gss_pq_PersonGSSFinalWeight_60	as	wgt_60
,	gss_pq_PersonGSSFinalWeight_61	as	wgt_61
,	gss_pq_PersonGSSFinalWeight_62	as	wgt_62
,	gss_pq_PersonGSSFinalWeight_63	as	wgt_63
,	gss_pq_PersonGSSFinalWeight_64	as	wgt_64
,	gss_pq_PersonGSSFinalWeight_65	as	wgt_65
,	gss_pq_PersonGSSFinalWeight_66	as	wgt_66
,	gss_pq_PersonGSSFinalWeight_67	as	wgt_67
,	gss_pq_PersonGSSFinalWeight_68	as	wgt_68
,	gss_pq_PersonGSSFinalWeight_69	as	wgt_69
,	gss_pq_PersonGSSFinalWeight_70	as	wgt_70
,	gss_pq_PersonGSSFinalWeight_71	as	wgt_71
,	gss_pq_PersonGSSFinalWeight_72	as	wgt_72
,	gss_pq_PersonGSSFinalWeight_73	as	wgt_73
,	gss_pq_PersonGSSFinalWeight_74	as	wgt_74
,	gss_pq_PersonGSSFinalWeight_75	as	wgt_75
,	gss_pq_PersonGSSFinalWeight_76	as	wgt_76
,	gss_pq_PersonGSSFinalWeight_77	as	wgt_77
,	gss_pq_PersonGSSFinalWeight_78	as	wgt_78
,	gss_pq_PersonGSSFinalWeight_79	as	wgt_79
,	gss_pq_PersonGSSFinalWeight_80	as	wgt_80
,	gss_pq_PersonGSSFinalWeight_81	as	wgt_81
,	gss_pq_PersonGSSFinalWeight_82	as	wgt_82
,	gss_pq_PersonGSSFinalWeight_83	as	wgt_83
,	gss_pq_PersonGSSFinalWeight_84	as	wgt_84
,	gss_pq_PersonGSSFinalWeight_85	as	wgt_85
,	gss_pq_PersonGSSFinalWeight_86	as	wgt_86
,	gss_pq_PersonGSSFinalWeight_87	as	wgt_87
,	gss_pq_PersonGSSFinalWeight_88	as	wgt_88
,	gss_pq_PersonGSSFinalWeight_89	as	wgt_89
,	gss_pq_PersonGSSFinalWeight_90	as	wgt_90
,	gss_pq_PersonGSSFinalWeight_91	as	wgt_91
,	gss_pq_PersonGSSFinalWeight_92	as	wgt_92
,	gss_pq_PersonGSSFinalWeight_93	as	wgt_93
,	gss_pq_PersonGSSFinalWeight_94	as	wgt_94
,	gss_pq_PersonGSSFinalWeight_95	as	wgt_95
,	gss_pq_PersonGSSFinalWeight_96	as	wgt_96
,	gss_pq_PersonGSSFinalWeight_97	as	wgt_97
,	gss_pq_PersonGSSFinalWeight_98	as	wgt_98
,	gss_pq_PersonGSSFinalWeight_99	as	wgt_99
,	gss_pq_PersonGSSFinalWeight_100	as	wgt_100
from IDI_Clean_202206.gss_clean.gss_person_2012

union 

select
	snz_uid		
,	snz_gss_hhld_uid	as	hh_id
,	null	as	hlfs_qrt
,	gss_pq_PQinterview_date	as 	interview_date
,	gss_pq_person_FinalWgt_nbr	as	F_Wgt
,	null	as	wgt_0
,	gss_pq_person_FinalWgt1_nbr	as	wgt_1
,	gss_pq_person_FinalWgt2_nbr	as	wgt_2
,	gss_pq_person_FinalWgt3_nbr	as	wgt_3
,	gss_pq_person_FinalWgt4_nbr	as	wgt_4
,	gss_pq_person_FinalWgt5_nbr	as	wgt_5
,	gss_pq_person_FinalWgt6_nbr	as	wgt_6
,	gss_pq_person_FinalWgt7_nbr	as	wgt_7
,	gss_pq_person_FinalWgt8_nbr	as	wgt_8
,	gss_pq_person_FinalWgt9_nbr	as	wgt_9
,	gss_pq_person_FinalWgt10_nbr	as	wgt_10
,	gss_pq_person_FinalWgt11_nbr	as	wgt_11
,	gss_pq_person_FinalWgt12_nbr	as	wgt_12
,	gss_pq_person_FinalWgt13_nbr	as	wgt_13
,	gss_pq_person_FinalWgt14_nbr	as	wgt_14
,	gss_pq_person_FinalWgt15_nbr	as	wgt_15
,	gss_pq_person_FinalWgt16_nbr	as	wgt_16
,	gss_pq_person_FinalWgt17_nbr	as	wgt_17
,	gss_pq_person_FinalWgt18_nbr	as	wgt_18
,	gss_pq_person_FinalWgt19_nbr	as	wgt_19
,	gss_pq_person_FinalWgt20_nbr	as	wgt_20
,	gss_pq_person_FinalWgt21_nbr	as	wgt_21
,	gss_pq_person_FinalWgt22_nbr	as	wgt_22
,	gss_pq_person_FinalWgt23_nbr	as	wgt_23
,	gss_pq_person_FinalWgt24_nbr	as	wgt_24
,	gss_pq_person_FinalWgt25_nbr	as	wgt_25
,	gss_pq_person_FinalWgt26_nbr	as	wgt_26
,	gss_pq_person_FinalWgt27_nbr	as	wgt_27
,	gss_pq_person_FinalWgt28_nbr	as	wgt_28
,	gss_pq_person_FinalWgt29_nbr	as	wgt_29
,	gss_pq_person_FinalWgt30_nbr	as	wgt_30
,	gss_pq_person_FinalWgt31_nbr	as	wgt_31
,	gss_pq_person_FinalWgt32_nbr	as	wgt_32
,	gss_pq_person_FinalWgt33_nbr	as	wgt_33
,	gss_pq_person_FinalWgt34_nbr	as	wgt_34
,	gss_pq_person_FinalWgt35_nbr	as	wgt_35
,	gss_pq_person_FinalWgt36_nbr	as	wgt_36
,	gss_pq_person_FinalWgt37_nbr	as	wgt_37
,	gss_pq_person_FinalWgt38_nbr	as	wgt_38
,	gss_pq_person_FinalWgt39_nbr	as	wgt_39
,	gss_pq_person_FinalWgt40_nbr	as	wgt_40
,	gss_pq_person_FinalWgt41_nbr	as	wgt_41
,	gss_pq_person_FinalWgt42_nbr	as	wgt_42
,	gss_pq_person_FinalWgt43_nbr	as	wgt_43
,	gss_pq_person_FinalWgt44_nbr	as	wgt_44
,	gss_pq_person_FinalWgt45_nbr	as	wgt_45
,	gss_pq_person_FinalWgt46_nbr	as	wgt_46
,	gss_pq_person_FinalWgt47_nbr	as	wgt_47
,	gss_pq_person_FinalWgt48_nbr	as	wgt_48
,	gss_pq_person_FinalWgt49_nbr	as	wgt_49
,	gss_pq_person_FinalWgt50_nbr	as	wgt_50
,	gss_pq_person_FinalWgt51_nbr	as	wgt_51
,	gss_pq_person_FinalWgt52_nbr	as	wgt_52
,	gss_pq_person_FinalWgt53_nbr	as	wgt_53
,	gss_pq_person_FinalWgt54_nbr	as	wgt_54
,	gss_pq_person_FinalWgt55_nbr	as	wgt_55
,	gss_pq_person_FinalWgt56_nbr	as	wgt_56
,	gss_pq_person_FinalWgt57_nbr	as	wgt_57
,	gss_pq_person_FinalWgt58_nbr	as	wgt_58
,	gss_pq_person_FinalWgt59_nbr	as	wgt_59
,	gss_pq_person_FinalWgt60_nbr	as	wgt_60
,	gss_pq_person_FinalWgt61_nbr	as	wgt_61
,	gss_pq_person_FinalWgt62_nbr	as	wgt_62
,	gss_pq_person_FinalWgt63_nbr	as	wgt_63
,	gss_pq_person_FinalWgt64_nbr	as	wgt_64
,	gss_pq_person_FinalWgt65_nbr	as	wgt_65
,	gss_pq_person_FinalWgt66_nbr	as	wgt_66
,	gss_pq_person_FinalWgt67_nbr	as	wgt_67
,	gss_pq_person_FinalWgt68_nbr	as	wgt_68
,	gss_pq_person_FinalWgt69_nbr	as	wgt_69
,	gss_pq_person_FinalWgt70_nbr	as	wgt_70
,	gss_pq_person_FinalWgt71_nbr	as	wgt_71
,	gss_pq_person_FinalWgt72_nbr	as	wgt_72
,	gss_pq_person_FinalWgt73_nbr	as	wgt_73
,	gss_pq_person_FinalWgt74_nbr	as	wgt_74
,	gss_pq_person_FinalWgt75_nbr	as	wgt_75
,	gss_pq_person_FinalWgt76_nbr	as	wgt_76
,	gss_pq_person_FinalWgt77_nbr	as	wgt_77
,	gss_pq_person_FinalWgt78_nbr	as	wgt_78
,	gss_pq_person_FinalWgt79_nbr	as	wgt_79
,	gss_pq_person_FinalWgt80_nbr	as	wgt_80
,	gss_pq_person_FinalWgt81_nbr	as	wgt_81
,	gss_pq_person_FinalWgt82_nbr	as	wgt_82
,	gss_pq_person_FinalWgt83_nbr	as	wgt_83
,	gss_pq_person_FinalWgt84_nbr	as	wgt_84
,	gss_pq_person_FinalWgt85_nbr	as	wgt_85
,	gss_pq_person_FinalWgt86_nbr	as	wgt_86
,	gss_pq_person_FinalWgt87_nbr	as	wgt_87
,	gss_pq_person_FinalWgt88_nbr	as	wgt_88
,	gss_pq_person_FinalWgt89_nbr	as	wgt_89
,	gss_pq_person_FinalWgt90_nbr	as	wgt_90
,	gss_pq_person_FinalWgt91_nbr	as	wgt_91
,	gss_pq_person_FinalWgt92_nbr	as	wgt_92
,	gss_pq_person_FinalWgt93_nbr	as	wgt_93
,	gss_pq_person_FinalWgt94_nbr	as	wgt_94
,	gss_pq_person_FinalWgt95_nbr	as	wgt_95
,	gss_pq_person_FinalWgt96_nbr	as	wgt_96
,	gss_pq_person_FinalWgt97_nbr	as	wgt_97
,	gss_pq_person_FinalWgt98_nbr	as	wgt_98
,	gss_pq_person_FinalWgt99_nbr	as	wgt_99
,	gss_pq_person_FinalWgt100_nbr	as	wgt_100
from IDI_Clean_202206.gss_clean.gss_person

-- verify data 

select * from #wgt_gss


-------------------------------------------------------------
-------------------------------------------------------------
----------------------   HLFS    ----------------------------
-------------------------------------------------------------
-------------------------------------------------------------


-- HLFS is more complecated because the weights are in the supplementary data 
-- while the snz_uid is in the main HLFS data, 
-- additionally, the variables are in different order, 
-- so we have to go step by step through using temporary tables 


-- First I select the weights in one year, join them with the main data, and put them into a temporary table
-- repeat for each wave 


--hlfs1
create table #hwgt1
(
	hl_idsup	int
,	hl_hhidsup	int
,	qrt_num	int
,	interview_date	date
,	survey_yr	int
,	personID	int
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
,	snz_uid	int
,	hlfs_id	int
,	hh_id	int
,	p_id	int
,	qrt_n	int
)
insert into #hwgt1
SELECT  * 
FROM(
SELECT  
snz_hlfs_uid as hl_idsup
,snz_hlfs_hhld_uid as hl_hhidsup
,quarter as qrt_num
,SQD_fSQInterviewDate as interview_date
, YEAR(SQD_fSQInterviewDate) as survey_yr
, person_code as personID
,	SQfinalwgt	as	F_Wgt
,	null	as	wgt_0
,	SQfinalwgt_1	as	wgt_1
,	SQfinalwgt_2	as	wgt_2
,	SQfinalwgt_3	as	wgt_3
,	SQfinalwgt_4	as	wgt_4
,	SQfinalwgt_5	as	wgt_5
,	SQfinalwgt_6	as	wgt_6
,	SQfinalwgt_7	as	wgt_7
,	SQfinalwgt_8	as	wgt_8
,	SQfinalwgt_9	as	wgt_9
,	SQfinalwgt_10	as	wgt_10
,	SQfinalwgt_11	as	wgt_11
,	SQfinalwgt_12	as	wgt_12
,	SQfinalwgt_13	as	wgt_13
,	SQfinalwgt_14	as	wgt_14
,	SQfinalwgt_15	as	wgt_15
,	SQfinalwgt_16	as	wgt_16
,	SQfinalwgt_17	as	wgt_17
,	SQfinalwgt_18	as	wgt_18
,	SQfinalwgt_19	as	wgt_19
,	SQfinalwgt_20	as	wgt_20
,	SQfinalwgt_21	as	wgt_21
,	SQfinalwgt_22	as	wgt_22
,	SQfinalwgt_23	as	wgt_23
,	SQfinalwgt_24	as	wgt_24
,	SQfinalwgt_25	as	wgt_25
,	SQfinalwgt_26	as	wgt_26
,	SQfinalwgt_27	as	wgt_27
,	SQfinalwgt_28	as	wgt_28
,	SQfinalwgt_29	as	wgt_29
,	SQfinalwgt_30	as	wgt_30
,	SQfinalwgt_31	as	wgt_31
,	SQfinalwgt_32	as	wgt_32
,	SQfinalwgt_33	as	wgt_33
,	SQfinalwgt_34	as	wgt_34
,	SQfinalwgt_35	as	wgt_35
,	SQfinalwgt_36	as	wgt_36
,	SQfinalwgt_37	as	wgt_37
,	SQfinalwgt_38	as	wgt_38
,	SQfinalwgt_39	as	wgt_39
,	SQfinalwgt_40	as	wgt_40
,	SQfinalwgt_41	as	wgt_41
,	SQfinalwgt_42	as	wgt_42
,	SQfinalwgt_43	as	wgt_43
,	SQfinalwgt_44	as	wgt_44
,	SQfinalwgt_45	as	wgt_45
,	SQfinalwgt_46	as	wgt_46
,	SQfinalwgt_47	as	wgt_47
,	SQfinalwgt_48	as	wgt_48
,	SQfinalwgt_49	as	wgt_49
,	SQfinalwgt_50	as	wgt_50
,	SQfinalwgt_51	as	wgt_51
,	SQfinalwgt_52	as	wgt_52
,	SQfinalwgt_53	as	wgt_53
,	SQfinalwgt_54	as	wgt_54
,	SQfinalwgt_55	as	wgt_55
,	SQfinalwgt_56	as	wgt_56
,	SQfinalwgt_57	as	wgt_57
,	SQfinalwgt_58	as	wgt_58
,	SQfinalwgt_59	as	wgt_59
,	SQfinalwgt_60	as	wgt_60
,	SQfinalwgt_61	as	wgt_61
,	SQfinalwgt_62	as	wgt_62
,	SQfinalwgt_63	as	wgt_63
,	SQfinalwgt_64	as	wgt_64
,	SQfinalwgt_65	as	wgt_65
,	SQfinalwgt_66	as	wgt_66
,	SQfinalwgt_67	as	wgt_67
,	SQfinalwgt_68	as	wgt_68
,	SQfinalwgt_69	as	wgt_69
,	SQfinalwgt_70	as	wgt_70
,	SQfinalwgt_71	as	wgt_71
,	SQfinalwgt_72	as	wgt_72
,	SQfinalwgt_73	as	wgt_73
,	SQfinalwgt_74	as	wgt_74
,	SQfinalwgt_75	as	wgt_75
,	SQfinalwgt_76	as	wgt_76
,	SQfinalwgt_77	as	wgt_77
,	SQfinalwgt_78	as	wgt_78
,	SQfinalwgt_79	as	wgt_79
,	SQfinalwgt_80	as	wgt_80
,	SQfinalwgt_81	as	wgt_81
,	SQfinalwgt_82	as	wgt_82
,	SQfinalwgt_83	as	wgt_83
,	SQfinalwgt_84	as	wgt_84
,	SQfinalwgt_85	as	wgt_85
,	SQfinalwgt_86	as	wgt_86
,	SQfinalwgt_87	as	wgt_87
,	SQfinalwgt_88	as	wgt_88
,	SQfinalwgt_89	as	wgt_89
,	SQfinalwgt_90	as	wgt_90
,	SQfinalwgt_91	as	wgt_91
,	SQfinalwgt_92	as	wgt_92
,	SQfinalwgt_93	as	wgt_93
,	SQfinalwgt_94	as	wgt_94
,	SQfinalwgt_95	as	wgt_95
,	SQfinalwgt_96	as	wgt_96
,	SQfinalwgt_97	as	wgt_97
,	SQfinalwgt_98	as	wgt_98
,	SQfinalwgt_99	as	wgt_99
,	SQfinalwgt_100	as	wgt_100

FROM 
[IDI_Adhoc].[clean_read_HLFS].hlfs_wellbeing_202008) as sup
left join(
select 
snz_uid
,snz_hlfs_uid as hlfs_id
,snz_hlfs_hhld_uid as hh_id
,hlfs_urd_person_nbr as p_id
,hlfs_urd_quarter_nbr as qrt_n
from IDI_Clean_202206.hlfs_clean.data) as hl1
on sup.hl_idsup = hl1.hlfs_id
and sup.hl_hhidsup = hl1.hh_id
and sup.personID = hl1.p_id
and sup.qrt_num = hl1.qrt_n;




--hlfs2

create table #hwgt2
(
	hl_idsup	int
,	hl_hhidsup	int
,	qrt_num	int
,	personID	int
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
,	snz_uid	int
,	interview_date	date
,	survey_yr	int
,	hlfs_id	int
,	hh_id	int
,	p_id	int
,	qrt_n	int
)
insert into #hwgt2
SELECT   * 
FROM(
SELECT  
snz_hlfs_uid as hl_idsup
,snz_hlfs_hhld_uid as hl_hhidsup
,quarter as qrt_num
, person_code as personID
,	SQfinalwgt	as	F_Wgt
,	null	as	wgt_0
,	SQfinalwgt_1	as	wgt_1
,	SQfinalwgt_2	as	wgt_2
,	SQfinalwgt_3	as	wgt_3
,	SQfinalwgt_4	as	wgt_4
,	SQfinalwgt_5	as	wgt_5
,	SQfinalwgt_6	as	wgt_6
,	SQfinalwgt_7	as	wgt_7
,	SQfinalwgt_8	as	wgt_8
,	SQfinalwgt_9	as	wgt_9
,	SQfinalwgt_10	as	wgt_10
,	SQfinalwgt_11	as	wgt_11
,	SQfinalwgt_12	as	wgt_12
,	SQfinalwgt_13	as	wgt_13
,	SQfinalwgt_14	as	wgt_14
,	SQfinalwgt_15	as	wgt_15
,	SQfinalwgt_16	as	wgt_16
,	SQfinalwgt_17	as	wgt_17
,	SQfinalwgt_18	as	wgt_18
,	SQfinalwgt_19	as	wgt_19
,	SQfinalwgt_20	as	wgt_20
,	SQfinalwgt_21	as	wgt_21
,	SQfinalwgt_22	as	wgt_22
,	SQfinalwgt_23	as	wgt_23
,	SQfinalwgt_24	as	wgt_24
,	SQfinalwgt_25	as	wgt_25
,	SQfinalwgt_26	as	wgt_26
,	SQfinalwgt_27	as	wgt_27
,	SQfinalwgt_28	as	wgt_28
,	SQfinalwgt_29	as	wgt_29
,	SQfinalwgt_30	as	wgt_30
,	SQfinalwgt_31	as	wgt_31
,	SQfinalwgt_32	as	wgt_32
,	SQfinalwgt_33	as	wgt_33
,	SQfinalwgt_34	as	wgt_34
,	SQfinalwgt_35	as	wgt_35
,	SQfinalwgt_36	as	wgt_36
,	SQfinalwgt_37	as	wgt_37
,	SQfinalwgt_38	as	wgt_38
,	SQfinalwgt_39	as	wgt_39
,	SQfinalwgt_40	as	wgt_40
,	SQfinalwgt_41	as	wgt_41
,	SQfinalwgt_42	as	wgt_42
,	SQfinalwgt_43	as	wgt_43
,	SQfinalwgt_44	as	wgt_44
,	SQfinalwgt_45	as	wgt_45
,	SQfinalwgt_46	as	wgt_46
,	SQfinalwgt_47	as	wgt_47
,	SQfinalwgt_48	as	wgt_48
,	SQfinalwgt_49	as	wgt_49
,	SQfinalwgt_50	as	wgt_50
,	SQfinalwgt_51	as	wgt_51
,	SQfinalwgt_52	as	wgt_52
,	SQfinalwgt_53	as	wgt_53
,	SQfinalwgt_54	as	wgt_54
,	SQfinalwgt_55	as	wgt_55
,	SQfinalwgt_56	as	wgt_56
,	SQfinalwgt_57	as	wgt_57
,	SQfinalwgt_58	as	wgt_58
,	SQfinalwgt_59	as	wgt_59
,	SQfinalwgt_60	as	wgt_60
,	SQfinalwgt_61	as	wgt_61
,	SQfinalwgt_62	as	wgt_62
,	SQfinalwgt_63	as	wgt_63
,	SQfinalwgt_64	as	wgt_64
,	SQfinalwgt_65	as	wgt_65
,	SQfinalwgt_66	as	wgt_66
,	SQfinalwgt_67	as	wgt_67
,	SQfinalwgt_68	as	wgt_68
,	SQfinalwgt_69	as	wgt_69
,	SQfinalwgt_70	as	wgt_70
,	SQfinalwgt_71	as	wgt_71
,	SQfinalwgt_72	as	wgt_72
,	SQfinalwgt_73	as	wgt_73
,	SQfinalwgt_74	as	wgt_74
,	SQfinalwgt_75	as	wgt_75
,	SQfinalwgt_76	as	wgt_76
,	SQfinalwgt_77	as	wgt_77
,	SQfinalwgt_78	as	wgt_78
,	SQfinalwgt_79	as	wgt_79
,	SQfinalwgt_80	as	wgt_80
,	SQfinalwgt_81	as	wgt_81
,	SQfinalwgt_82	as	wgt_82
,	SQfinalwgt_83	as	wgt_83
,	SQfinalwgt_84	as	wgt_84
,	SQfinalwgt_85	as	wgt_85
,	SQfinalwgt_86	as	wgt_86
,	SQfinalwgt_87	as	wgt_87
,	SQfinalwgt_88	as	wgt_88
,	SQfinalwgt_89	as	wgt_89
,	SQfinalwgt_90	as	wgt_90
,	SQfinalwgt_91	as	wgt_91
,	SQfinalwgt_92	as	wgt_92
,	SQfinalwgt_93	as	wgt_93
,	SQfinalwgt_94	as	wgt_94
,	SQfinalwgt_95	as	wgt_95
,	SQfinalwgt_96	as	wgt_96
,	SQfinalwgt_97	as	wgt_97
,	SQfinalwgt_98	as	wgt_98
,	SQfinalwgt_99	as	wgt_99
,	SQfinalwgt_100	as	wgt_100
FROM 
[IDI_Adhoc].[clean_read_HLFS].hlfs_wellbeing_202011) as sup
left join(
select 
snz_uid
,hlfs_urd_interview_date as interview_date
,YEAR(hlfs_urd_interview_date) as survey_yr
,snz_hlfs_uid as hlfs_id
,snz_hlfs_hhld_uid as hh_id
,hlfs_urd_person_nbr as p_id
,hlfs_urd_quarter_nbr as qrt_n
from IDI_Clean_202206.hlfs_clean.data ) as hl2
on sup.hl_idsup = hl2.hlfs_id
and sup.hl_hhidsup = hl2.hh_id
and sup.personID = hl2.p_id
and sup.qrt_num = hl2.qrt_n;



--hlfs3


create table #hwgt3
(
	hl_idsup	int
,	hl_hhidsup	int
,	qrt_num	int
,	personID	int
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
,	snz_uid	int
,	interview_date	date
,	survey_yr	int
,	hlfs_id	int
,	hh_id	int
,	p_id	int
,	qrt_n	int
)
insert into #hwgt3
SELECT   * 
FROM(
SELECT  
snz_hlfs_uid as hl_idsup
,snz_hlfs_hhld_uid as hl_hhidsup
,quarter_nbr as qrt_num
--,SQD_fSQInterviewDate as interview_date
, person_code as personID
,	SQfinalwgt	as	F_Wgt
,	null	as	wgt_0
,	SQfinalwgt_1	as	wgt_1
,	SQfinalwgt_2	as	wgt_2
,	SQfinalwgt_3	as	wgt_3
,	SQfinalwgt_4	as	wgt_4
,	SQfinalwgt_5	as	wgt_5
,	SQfinalwgt_6	as	wgt_6
,	SQfinalwgt_7	as	wgt_7
,	SQfinalwgt_8	as	wgt_8
,	SQfinalwgt_9	as	wgt_9
,	SQfinalwgt_10	as	wgt_10
,	SQfinalwgt_11	as	wgt_11
,	SQfinalwgt_12	as	wgt_12
,	SQfinalwgt_13	as	wgt_13
,	SQfinalwgt_14	as	wgt_14
,	SQfinalwgt_15	as	wgt_15
,	SQfinalwgt_16	as	wgt_16
,	SQfinalwgt_17	as	wgt_17
,	SQfinalwgt_18	as	wgt_18
,	SQfinalwgt_19	as	wgt_19
,	SQfinalwgt_20	as	wgt_20
,	SQfinalwgt_21	as	wgt_21
,	SQfinalwgt_22	as	wgt_22
,	SQfinalwgt_23	as	wgt_23
,	SQfinalwgt_24	as	wgt_24
,	SQfinalwgt_25	as	wgt_25
,	SQfinalwgt_26	as	wgt_26
,	SQfinalwgt_27	as	wgt_27
,	SQfinalwgt_28	as	wgt_28
,	SQfinalwgt_29	as	wgt_29
,	SQfinalwgt_30	as	wgt_30
,	SQfinalwgt_31	as	wgt_31
,	SQfinalwgt_32	as	wgt_32
,	SQfinalwgt_33	as	wgt_33
,	SQfinalwgt_34	as	wgt_34
,	SQfinalwgt_35	as	wgt_35
,	SQfinalwgt_36	as	wgt_36
,	SQfinalwgt_37	as	wgt_37
,	SQfinalwgt_38	as	wgt_38
,	SQfinalwgt_39	as	wgt_39
,	SQfinalwgt_40	as	wgt_40
,	SQfinalwgt_41	as	wgt_41
,	SQfinalwgt_42	as	wgt_42
,	SQfinalwgt_43	as	wgt_43
,	SQfinalwgt_44	as	wgt_44
,	SQfinalwgt_45	as	wgt_45
,	SQfinalwgt_46	as	wgt_46
,	SQfinalwgt_47	as	wgt_47
,	SQfinalwgt_48	as	wgt_48
,	SQfinalwgt_49	as	wgt_49
,	SQfinalwgt_50	as	wgt_50
,	SQfinalwgt_51	as	wgt_51
,	SQfinalwgt_52	as	wgt_52
,	SQfinalwgt_53	as	wgt_53
,	SQfinalwgt_54	as	wgt_54
,	SQfinalwgt_55	as	wgt_55
,	SQfinalwgt_56	as	wgt_56
,	SQfinalwgt_57	as	wgt_57
,	SQfinalwgt_58	as	wgt_58
,	SQfinalwgt_59	as	wgt_59
,	SQfinalwgt_60	as	wgt_60
,	SQfinalwgt_61	as	wgt_61
,	SQfinalwgt_62	as	wgt_62
,	SQfinalwgt_63	as	wgt_63
,	SQfinalwgt_64	as	wgt_64
,	SQfinalwgt_65	as	wgt_65
,	SQfinalwgt_66	as	wgt_66
,	SQfinalwgt_67	as	wgt_67
,	SQfinalwgt_68	as	wgt_68
,	SQfinalwgt_69	as	wgt_69
,	SQfinalwgt_70	as	wgt_70
,	SQfinalwgt_71	as	wgt_71
,	SQfinalwgt_72	as	wgt_72
,	SQfinalwgt_73	as	wgt_73
,	SQfinalwgt_74	as	wgt_74
,	SQfinalwgt_75	as	wgt_75
,	SQfinalwgt_76	as	wgt_76
,	SQfinalwgt_77	as	wgt_77
,	SQfinalwgt_78	as	wgt_78
,	SQfinalwgt_79	as	wgt_79
,	SQfinalwgt_80	as	wgt_80
,	SQfinalwgt_81	as	wgt_81
,	SQfinalwgt_82	as	wgt_82
,	SQfinalwgt_83	as	wgt_83
,	SQfinalwgt_84	as	wgt_84
,	SQfinalwgt_85	as	wgt_85
,	SQfinalwgt_86	as	wgt_86
,	SQfinalwgt_87	as	wgt_87
,	SQfinalwgt_88	as	wgt_88
,	SQfinalwgt_89	as	wgt_89
,	SQfinalwgt_90	as	wgt_90
,	SQfinalwgt_91	as	wgt_91
,	SQfinalwgt_92	as	wgt_92
,	SQfinalwgt_93	as	wgt_93
,	SQfinalwgt_94	as	wgt_94
,	SQfinalwgt_95	as	wgt_95
,	SQfinalwgt_96	as	wgt_96
,	SQfinalwgt_97	as	wgt_97
,	SQfinalwgt_98	as	wgt_98
,	SQfinalwgt_99	as	wgt_99
,	SQfinalwgt_100	as	wgt_100
FROM 
[IDI_Adhoc].[clean_read_HLFS].hlfs_wellbeing_202102) as sup
left join(
select 
snz_uid
,hlfs_urd_interview_date as interview_date
,YEAR(hlfs_urd_interview_date) as survey_yr
,snz_hlfs_uid as hlfs_id
,snz_hlfs_hhld_uid as hh_id
,hlfs_urd_person_nbr as p_id
,hlfs_urd_quarter_nbr as qrt_n
from IDI_Clean_202206.hlfs_clean.data ) as hl3
on sup.hl_idsup = hl3.hlfs_id
and sup.hl_hhidsup = hl3.hh_id
and sup.personID = hl3.p_id
and sup.qrt_num = hl3.qrt_n;



--hlfs4


create table #hwgt4
(
	hl_idsup	int
,	hl_hhidsup	int
,	qrt_num	int
,	interview_date	date
,	survey_yr	int
,	personID	int
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
,	snz_uid	int
,	hlfs_id	int
,	hh_id	int
,	p_id	int
,	qrt_n	int
)
insert into #hwgt4
SELECT   * 
FROM(
SELECT  
snz_hlfs_uid as hl_idsup
,snz_hlfs_hhld_uid as hl_hhidsup
,quarter_nbr as qrt_num
,SQD_fSQInterviewDate as interview_date
, YEAR(SQD_fSQInterviewDate) as survey_yr
, person_code as personID
,	SQfinalwgt	as	F_Wgt
,	null	as	wgt_0
,	SQfinalwgt_1	as	wgt_1
,	SQfinalwgt_2	as	wgt_2
,	SQfinalwgt_3	as	wgt_3
,	SQfinalwgt_4	as	wgt_4
,	SQfinalwgt_5	as	wgt_5
,	SQfinalwgt_6	as	wgt_6
,	SQfinalwgt_7	as	wgt_7
,	SQfinalwgt_8	as	wgt_8
,	SQfinalwgt_9	as	wgt_9
,	SQfinalwgt_10	as	wgt_10
,	SQfinalwgt_11	as	wgt_11
,	SQfinalwgt_12	as	wgt_12
,	SQfinalwgt_13	as	wgt_13
,	SQfinalwgt_14	as	wgt_14
,	SQfinalwgt_15	as	wgt_15
,	SQfinalwgt_16	as	wgt_16
,	SQfinalwgt_17	as	wgt_17
,	SQfinalwgt_18	as	wgt_18
,	SQfinalwgt_19	as	wgt_19
,	SQfinalwgt_20	as	wgt_20
,	SQfinalwgt_21	as	wgt_21
,	SQfinalwgt_22	as	wgt_22
,	SQfinalwgt_23	as	wgt_23
,	SQfinalwgt_24	as	wgt_24
,	SQfinalwgt_25	as	wgt_25
,	SQfinalwgt_26	as	wgt_26
,	SQfinalwgt_27	as	wgt_27
,	SQfinalwgt_28	as	wgt_28
,	SQfinalwgt_29	as	wgt_29
,	SQfinalwgt_30	as	wgt_30
,	SQfinalwgt_31	as	wgt_31
,	SQfinalwgt_32	as	wgt_32
,	SQfinalwgt_33	as	wgt_33
,	SQfinalwgt_34	as	wgt_34
,	SQfinalwgt_35	as	wgt_35
,	SQfinalwgt_36	as	wgt_36
,	SQfinalwgt_37	as	wgt_37
,	SQfinalwgt_38	as	wgt_38
,	SQfinalwgt_39	as	wgt_39
,	SQfinalwgt_40	as	wgt_40
,	SQfinalwgt_41	as	wgt_41
,	SQfinalwgt_42	as	wgt_42
,	SQfinalwgt_43	as	wgt_43
,	SQfinalwgt_44	as	wgt_44
,	SQfinalwgt_45	as	wgt_45
,	SQfinalwgt_46	as	wgt_46
,	SQfinalwgt_47	as	wgt_47
,	SQfinalwgt_48	as	wgt_48
,	SQfinalwgt_49	as	wgt_49
,	SQfinalwgt_50	as	wgt_50
,	SQfinalwgt_51	as	wgt_51
,	SQfinalwgt_52	as	wgt_52
,	SQfinalwgt_53	as	wgt_53
,	SQfinalwgt_54	as	wgt_54
,	SQfinalwgt_55	as	wgt_55
,	SQfinalwgt_56	as	wgt_56
,	SQfinalwgt_57	as	wgt_57
,	SQfinalwgt_58	as	wgt_58
,	SQfinalwgt_59	as	wgt_59
,	SQfinalwgt_60	as	wgt_60
,	SQfinalwgt_61	as	wgt_61
,	SQfinalwgt_62	as	wgt_62
,	SQfinalwgt_63	as	wgt_63
,	SQfinalwgt_64	as	wgt_64
,	SQfinalwgt_65	as	wgt_65
,	SQfinalwgt_66	as	wgt_66
,	SQfinalwgt_67	as	wgt_67
,	SQfinalwgt_68	as	wgt_68
,	SQfinalwgt_69	as	wgt_69
,	SQfinalwgt_70	as	wgt_70
,	SQfinalwgt_71	as	wgt_71
,	SQfinalwgt_72	as	wgt_72
,	SQfinalwgt_73	as	wgt_73
,	SQfinalwgt_74	as	wgt_74
,	SQfinalwgt_75	as	wgt_75
,	SQfinalwgt_76	as	wgt_76
,	SQfinalwgt_77	as	wgt_77
,	SQfinalwgt_78	as	wgt_78
,	SQfinalwgt_79	as	wgt_79
,	SQfinalwgt_80	as	wgt_80
,	SQfinalwgt_81	as	wgt_81
,	SQfinalwgt_82	as	wgt_82
,	SQfinalwgt_83	as	wgt_83
,	SQfinalwgt_84	as	wgt_84
,	SQfinalwgt_85	as	wgt_85
,	SQfinalwgt_86	as	wgt_86
,	SQfinalwgt_87	as	wgt_87
,	SQfinalwgt_88	as	wgt_88
,	SQfinalwgt_89	as	wgt_89
,	SQfinalwgt_90	as	wgt_90
,	SQfinalwgt_91	as	wgt_91
,	SQfinalwgt_92	as	wgt_92
,	SQfinalwgt_93	as	wgt_93
,	SQfinalwgt_94	as	wgt_94
,	SQfinalwgt_95	as	wgt_95
,	SQfinalwgt_96	as	wgt_96
,	SQfinalwgt_97	as	wgt_97
,	SQfinalwgt_98	as	wgt_98
,	SQfinalwgt_99	as	wgt_99
,	SQfinalwgt_100	as	wgt_100
FROM 
[IDI_Adhoc].[clean_read_HLFS].hlfs_wellbeing_202105) as sup
left join(
select 
snz_uid
,snz_hlfs_uid as hlfs_id
,snz_hlfs_hhld_uid as hh_id
,hlfs_urd_person_nbr as p_id
,hlfs_urd_quarter_nbr as qrt_n
from IDI_Clean_202206.hlfs_clean.data ) as hl4
on sup.hl_idsup = hl4.hlfs_id
and sup.hl_hhidsup = hl4.hh_id
and sup.personID = hl4.p_id
and sup.qrt_num = hl4.qrt_n;



-- Step 2: create a smaller table (i.e. drop variables that we do not need anymore) 
-- I reorder variables to match across years 
-- repeat for each wave



create table #hwgt1b
(
snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #hwgt1b
select 
snz_uid	
,hh_id 
,qrt_n as hlfs_qrt
,interview_date 
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #hwgt1


-- hlfs2

create table #hwgt2b
(
snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #hwgt2b
select 
snz_uid	
,hh_id 
,qrt_n as hlfs_qrt
,interview_date 
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #hwgt2

-- hlfs3

create table #hwgt3b
(
snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #hwgt3b
select 
snz_uid	
,hh_id 
,qrt_n as hlfs_qrt
,interview_date 
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #hwgt3

-- hlfs4

create table #hwgt4b
(
snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #hwgt4b
select 
snz_uid	
,hh_id 
,qrt_n as hlfs_qrt
,interview_date 
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #hwgt4



-- Step 3: unite all tables 


create table #hwgt_all
(
	snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #hwgt_all
select * from #hwgt1b
union 
select * from #hwgt2b
union
select * from #hwgt3b
union
select * from #hwgt4b

-- verify data
select * from #hwgt_all



-- Now I can unite hlfs with gss

create table #wgt_gss_hlfs
(
	snz_uid	int
,hh_id int
,hlfs_qrt int
,interview_date date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into #wgt_gss_hlfs
select * from #wgt_gss
union
select * from #hwgt_all

-- verify data
select * from #wgt_gss_hlfs
order by 
hh_id


-- Finally, I join the weights to the main masterfile


create table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]
(
	snz_uid	int
,	hh_id	int
,	gss_id	int
,	hlfs_id	int
,	hlfs_qrt	int
,	interview_date	date
,	survey_year	int
,	personID	int
,	DEM_Gend	int
,	DEM_Age	int
,	DEM_birth_month	int
,	DEM_birth_year	int
,	DEM_Euro	int
,	DEM_Maori	int
,	DEM_Pacific	int
,	DEM_Asian	int
,	DEM_MELAA	int
,	DEM_Other	int
,	DEM_Region_org	int
,	DEM_Region_8	int
,	DEM_Disabled	int
,	DEM_Migrant	int
,	SW_Identity	int
,	SW_LifeSat	int
,	SW_FamWell	int
,	HLT_GenHlth	int
,	HLT_MenHlth1	int
,	HLT_MenHlth2	int
,	HLT_MenHlth3	int
,	SFT_Safe	int
,	SFT_Victim	int
,	EST_MatWell1	int
,	EST_MatWell2	int
,	EST_MatWell3	int
,	EST_MatWell_Def	float
,	EST_EnoughMon	int
,	EST_Emp1	int
,	HOU_Damp	int
,	HOU_Cold	int
,	HOU_Crowded	int
,	SC_Trust_police	int
,	SC_Trust_parl	int
,	SC_Trust_health	int
,	SC_Trust_media	int
,	SC_Discrim	int
,	SC_Support	int
,	SC_ConFam	int
,	SC_ConFrd	int
,	SC_Lonely	int
,FAM_CopDep int
,FAM_CopNoDep int
,FAM_SoleDep int
,FAM_Singles int
, FAM_FamStr int
--,	sum_ben36	int
--,	sum_ben12	int
--,	sum_ben01	int
,	main_ben_30	int
,	main_ben_12	int
,	main_ben_01	int
, main_ben_no int
--,	snz_uid	int
--,	hh_id	int
--,	hlfs_qrt	int
--,	interview_date	date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]
select
	mst.snz_uid
,	mst.hh_id
,	gss_id
,	hlfs_id
,	mst.hlfs_qrt
,	mst.interview_date
,	survey_year
,	personID
,	DEM_Gend
,	DEM_Age
,	DEM_birth_month
,	DEM_birth_year
,	DEM_Euro
,	DEM_Maori
,	DEM_Pacific
,	DEM_Asian
,	DEM_MELAA
,	DEM_Other
,	DEM_Region_org
,	DEM_Region_8
,	DEM_Disabled
,	DEM_Migrant
,	SW_Identity
,	SW_LifeSat
,	SW_FamWell
,	HLT_GenHlth
,	HLT_MenHlth1
,	HLT_MenHlth2
,	HLT_MenHlth3
,	SFT_Safe
,	SFT_Victim
,	EST_MatWell1
,	EST_MatWell2
,	EST_MatWell3
,	EST_MatWell_Def
,	EST_EnoughMon
,	EST_Emp1
,	HOU_Damp
,	HOU_Cold
,	HOU_Crowded
,	SC_Trust_police
,	SC_Trust_parl
,	SC_Trust_health
,	SC_Trust_media
,	SC_Discrim
,	SC_Support
,	SC_ConFam
,	SC_ConFrd
,	SC_Lonely
,FAM_CopDep
,FAM_CopNoDep
,FAM_SoleDep
,FAM_Singles
,FAM_FamStr
--,	sum_ben36
--,	sum_ben12
--,	sum_ben01
,	main_ben_30
,	main_ben_12
,	main_ben_01
,   main_ben_no
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
FROM(
select 
	[gss_hlfs_msd1].snz_uid
,	[gss_hlfs_msd1].hh_id
,	gss_id
,	hlfs_id
,	[gss_hlfs_msd1].hlfs_qrt
,	[gss_hlfs_msd1].interview_date
,	survey_year
,	personID
,	DEM_Gend
,	DEM_Age
,	DEM_birth_month
,	DEM_birth_year
,	DEM_Euro
,	DEM_Maori
,	DEM_Pacific
,	DEM_Asian
,	DEM_MELAA
,	DEM_Other
,	DEM_Region_org
,	DEM_Region_8
,	DEM_Disabled
,	DEM_Migrant
,	SW_Identity
,	SW_LifeSat
,	SW_FamWell
,	HLT_GenHlth
,	HLT_MenHlth1
,	HLT_MenHlth2
,	HLT_MenHlth3
,	SFT_Safe
,	SFT_Victim
,	EST_MatWell1
,	EST_MatWell2
,	EST_MatWell3
,	EST_MatWell_Def
,	EST_EnoughMon
,	EST_Emp1
,	HOU_Damp
,	HOU_Cold
,	HOU_Crowded
,	SC_Trust_police
,	SC_Trust_parl
,	SC_Trust_health
,	SC_Trust_media
,	SC_Discrim
,	SC_Support
,	SC_ConFam
,	SC_ConFrd
,	SC_Lonely
,FAM_CopDep
,FAM_CopNoDep
,FAM_SoleDep
,FAM_Singles
, FAM_FamStr
--,	sum_ben36
--,	sum_ben12
--,	sum_ben01
,	main_ben_30
,	main_ben_12
,	main_ben_01
,   main_ben_no
from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1]) as  mst
left join ( 
select 
snz_uid
, hh_id
, hlfs_qrt
, interview_date
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #wgt_gss_hlfs ) as wgt
on wgt.snz_uid = mst.snz_uid
and wgt.hh_id = mst.hh_id
and wgt.interview_date = mst.interview_date


-- verify data
select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]
order by 
survey_year,
hh_id,
hlfs_qrt




-- CREATE SECOND-TIER TABLE 


create table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]
(
	snz_uid	int
,	hh_id	int
,	gss_id	int
,	hlfs_id	int
,	hlfs_qrt	int
,	interview_date	date
,	survey_year	int
,	personID	int
,	DEM_Gend	int
,	DEM_Age	int
,	DEM_birth_month	int
,	DEM_birth_year	int
,	DEM_Euro	int
,	DEM_Maori	int
,	DEM_Pacific	int
,	DEM_Asian	int
,	DEM_MELAA	int
,	DEM_Other	int
,	DEM_Region_org	int
,	DEM_Region_8	int
,	DEM_Disabled	int
,	DEM_Migrant	int
,	SW_Identity	int
,	SW_LifeSat	int
,	SW_FamWell	int
,	HLT_GenHlth	int
,	HLT_MenHlth1	int
,	HLT_MenHlth2	int
,	HLT_MenHlth3	int
,	SFT_Safe	int
,	SFT_Victim	int
,	EST_MatWell1	int
,	EST_MatWell2	int
,	EST_MatWell3	int
,	EST_MatWell_Def	float
,	EST_EnoughMon	int
,	EST_Emp1	int
,	HOU_Damp	int
,	HOU_Cold	int
,	HOU_Crowded	int
,	SC_Trust_police	int
,	SC_Trust_parl	int
,	SC_Trust_health	int
,	SC_Trust_media	int
,	SC_Discrim	int
,	SC_Support	int
,	SC_ConFam	int
,	SC_ConFrd	int
,	SC_Lonely	int
,FAM_CopDep int
,FAM_CopNoDep int
,FAM_SoleDep int
,FAM_Singles int
, FAM_FamStr int
--,	sum_ben36	int
--,	sum_ben12	int
--,	sum_ben01	int
,	msd_ben_30	int
,	msd_ben_12	int
,	msd_ben_01	int
,   msd_ben_no int
--,	snz_uid	int
--,	hh_id	int
--,	hlfs_qrt	int
--,	interview_date	date
,	F_Wgt	float
,	wgt_0	float
,	wgt_1	float
,	wgt_2	float
,	wgt_3	float
,	wgt_4	float
,	wgt_5	float
,	wgt_6	float
,	wgt_7	float
,	wgt_8	float
,	wgt_9	float
,	wgt_10	float
,	wgt_11	float
,	wgt_12	float
,	wgt_13	float
,	wgt_14	float
,	wgt_15	float
,	wgt_16	float
,	wgt_17	float
,	wgt_18	float
,	wgt_19	float
,	wgt_20	float
,	wgt_21	float
,	wgt_22	float
,	wgt_23	float
,	wgt_24	float
,	wgt_25	float
,	wgt_26	float
,	wgt_27	float
,	wgt_28	float
,	wgt_29	float
,	wgt_30	float
,	wgt_31	float
,	wgt_32	float
,	wgt_33	float
,	wgt_34	float
,	wgt_35	float
,	wgt_36	float
,	wgt_37	float
,	wgt_38	float
,	wgt_39	float
,	wgt_40	float
,	wgt_41	float
,	wgt_42	float
,	wgt_43	float
,	wgt_44	float
,	wgt_45	float
,	wgt_46	float
,	wgt_47	float
,	wgt_48	float
,	wgt_49	float
,	wgt_50	float
,	wgt_51	float
,	wgt_52	float
,	wgt_53	float
,	wgt_54	float
,	wgt_55	float
,	wgt_56	float
,	wgt_57	float
,	wgt_58	float
,	wgt_59	float
,	wgt_60	float
,	wgt_61	float
,	wgt_62	float
,	wgt_63	float
,	wgt_64	float
,	wgt_65	float
,	wgt_66	float
,	wgt_67	float
,	wgt_68	float
,	wgt_69	float
,	wgt_70	float
,	wgt_71	float
,	wgt_72	float
,	wgt_73	float
,	wgt_74	float
,	wgt_75	float
,	wgt_76	float
,	wgt_77	float
,	wgt_78	float
,	wgt_79	float
,	wgt_80	float
,	wgt_81	float
,	wgt_82	float
,	wgt_83	float
,	wgt_84	float
,	wgt_85	float
,	wgt_86	float
,	wgt_87	float
,	wgt_88	float
,	wgt_89	float
,	wgt_90	float
,	wgt_91	float
,	wgt_92	float
,	wgt_93	float
,	wgt_94	float
,	wgt_95	float
,	wgt_96	float
,	wgt_97	float
,	wgt_98	float
,	wgt_99	float
,	wgt_100	float
)
insert into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]
select
	mst.snz_uid
,	mst.hh_id
,	gss_id
,	hlfs_id
,	mst.hlfs_qrt
,	mst.interview_date
,	survey_year
,	personID
,	DEM_Gend
,	DEM_Age
,	DEM_birth_month
,	DEM_birth_year
,	DEM_Euro
,	DEM_Maori
,	DEM_Pacific
,	DEM_Asian
,	DEM_MELAA
,	DEM_Other
,	DEM_Region_org
,	DEM_Region_8
,	DEM_Disabled
,	DEM_Migrant
,	SW_Identity
,	SW_LifeSat
,	SW_FamWell
,	HLT_GenHlth
,	HLT_MenHlth1
,	HLT_MenHlth2
,	HLT_MenHlth3
,	SFT_Safe
,	SFT_Victim
,	EST_MatWell1
,	EST_MatWell2
,	EST_MatWell3
,	EST_MatWell_Def
,	EST_EnoughMon
,	EST_Emp1
,	HOU_Damp
,	HOU_Cold
,	HOU_Crowded
,	SC_Trust_police
,	SC_Trust_parl
,	SC_Trust_health
,	SC_Trust_media
,	SC_Discrim
,	SC_Support
,	SC_ConFam
,	SC_ConFrd
,	SC_Lonely
,FAM_CopDep
,FAM_CopNoDep
,FAM_SoleDep
,FAM_Singles
,FAM_FamStr
--,	sum_ben36
--,	sum_ben12
--,	sum_ben01
,	msd_ben_30
,	msd_ben_12
,	msd_ben_01
,   msd_ben_no
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
FROM(
select 
	[gss_hlfs_msd2].snz_uid
,	[gss_hlfs_msd2].hh_id
,	gss_id
,	hlfs_id
,	[gss_hlfs_msd2].hlfs_qrt
,	[gss_hlfs_msd2].interview_date
,	survey_year
,	personID
,	DEM_Gend
,	DEM_Age
,	DEM_birth_month
,	DEM_birth_year
,	DEM_Euro
,	DEM_Maori
,	DEM_Pacific
,	DEM_Asian
,	DEM_MELAA
,	DEM_Other
,	DEM_Region_org
,	DEM_Region_8
,	DEM_Disabled
,	DEM_Migrant
,	SW_Identity
,	SW_LifeSat
,	SW_FamWell
,	HLT_GenHlth
,	HLT_MenHlth1
,	HLT_MenHlth2
,	HLT_MenHlth3
,	SFT_Safe
,	SFT_Victim
,	EST_MatWell1
,	EST_MatWell2
,	EST_MatWell3
,	EST_MatWell_Def
,	EST_EnoughMon
,	EST_Emp1
,	HOU_Damp
,	HOU_Cold
,	HOU_Crowded
,	SC_Trust_police
,	SC_Trust_parl
,	SC_Trust_health
,	SC_Trust_media
,	SC_Discrim
,	SC_Support
,	SC_ConFam
,	SC_ConFrd
,	SC_Lonely
,FAM_CopDep
,FAM_CopNoDep
,FAM_SoleDep
,FAM_Singles
, FAM_FamStr
--,	sum_ben36
--,	sum_ben12
--,	sum_ben01
,	msd_ben_30
,	msd_ben_12
,	msd_ben_01
,   msd_ben_no
from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2]) as  mst
left join ( 
select 
snz_uid
, hh_id
, hlfs_qrt
, interview_date
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
from #wgt_gss_hlfs ) as wgt
on wgt.snz_uid = mst.snz_uid
and wgt.hh_id = mst.hh_id
and wgt.interview_date = mst.interview_date


-- verify data
select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]
order by 
survey_year,
hh_id,
hlfs_qrt



-- verify data
select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]
order by 
survey_year,
hh_id,
hlfs_qrt



-- JOIN THE TWO TABLES
SELECT   *
into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_1_2_wgt]
FROM
(select 
snz_uid as main_snz_uid
,main_ben_30
,main_ben_12
,main_ben_01
 from  IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]) as t1
join( 
select*
from 
IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]) as t2
on t1.main_snz_uid = t2.snz_uid
order by t2.survey_year,
t2.hlfs_qrt,
t2.hh_id
;



 -- Create new MSD benefit variables, reorder variables, and save them into our final table

select 
	snz_uid
,	hh_id
,	gss_id
,	hlfs_id
,	hlfs_qrt
,	interview_date
,	survey_year
,	personID
,	DEM_Gend
,	DEM_Age
,	DEM_birth_month
,	DEM_birth_year
,	DEM_Euro
,	DEM_Maori
,	DEM_Pacific
,	DEM_Asian
,	DEM_MELAA
,	DEM_Other
,	DEM_Region_org
,	DEM_Region_8
,	DEM_Disabled
,	DEM_Migrant
,	SW_Identity
,	SW_LifeSat
,	SW_FamWell
,	HLT_GenHlth
,	HLT_MenHlth1
,	HLT_MenHlth2
,	HLT_MenHlth3
,	SFT_Safe
,	SFT_Victim
,	EST_MatWell1
,	EST_MatWell2
,	EST_MatWell3
,	EST_MatWell_Def
,	EST_EnoughMon
,	EST_Emp1
,	HOU_Damp
,	HOU_Cold
,	HOU_Crowded
,	SC_Trust_police
,	SC_Trust_parl
,	SC_Trust_health
,	SC_Trust_media
,	SC_Discrim
,	SC_Support
,	SC_ConFam
,	SC_ConFrd
,	SC_Lonely
,	FAM_CopDep
,	FAM_CopNoDep
,	FAM_SoleDep
,	FAM_Singles
,	FAM_FamStr
,	main_ben_30
,	main_ben_12
,	main_ben_01
-- Create new msd benefit variable that is inclusive of either main or msd benefit
 ,case when main_ben_30 = 1 or msd_ben_30 = 1 then 1 else 0 end as msd_ben_30
 ,case when main_ben_12 = 1 or msd_ben_12 = 1 then 1 else 0 end as msd_ben_12
 ,case when main_ben_01 = 1 or msd_ben_01 = 1 then 1 else 0 end as msd_ben_01
,	F_Wgt
,	wgt_0
,	wgt_1
,	wgt_2
,	wgt_3
,	wgt_4
,	wgt_5
,	wgt_6
,	wgt_7
,	wgt_8
,	wgt_9
,	wgt_10
,	wgt_11
,	wgt_12
,	wgt_13
,	wgt_14
,	wgt_15
,	wgt_16
,	wgt_17
,	wgt_18
,	wgt_19
,	wgt_20
,	wgt_21
,	wgt_22
,	wgt_23
,	wgt_24
,	wgt_25
,	wgt_26
,	wgt_27
,	wgt_28
,	wgt_29
,	wgt_30
,	wgt_31
,	wgt_32
,	wgt_33
,	wgt_34
,	wgt_35
,	wgt_36
,	wgt_37
,	wgt_38
,	wgt_39
,	wgt_40
,	wgt_41
,	wgt_42
,	wgt_43
,	wgt_44
,	wgt_45
,	wgt_46
,	wgt_47
,	wgt_48
,	wgt_49
,	wgt_50
,	wgt_51
,	wgt_52
,	wgt_53
,	wgt_54
,	wgt_55
,	wgt_56
,	wgt_57
,	wgt_58
,	wgt_59
,	wgt_60
,	wgt_61
,	wgt_62
,	wgt_63
,	wgt_64
,	wgt_65
,	wgt_66
,	wgt_67
,	wgt_68
,	wgt_69
,	wgt_70
,	wgt_71
,	wgt_72
,	wgt_73
,	wgt_74
,	wgt_75
,	wgt_76
,	wgt_77
,	wgt_78
,	wgt_79
,	wgt_80
,	wgt_81
,	wgt_82
,	wgt_83
,	wgt_84
,	wgt_85
,	wgt_86
,	wgt_87
,	wgt_88
,	wgt_89
,	wgt_90
,	wgt_91
,	wgt_92
,	wgt_93
,	wgt_94
,	wgt_95
,	wgt_96
,	wgt_97
,	wgt_98
,	wgt_99
,	wgt_100
into IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_all_wgt]
from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_1_2_wgt]
 order by survey_year,
hlfs_qrt,
hh_id
;


--verify data
select * from IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_all_wgt]
 order by survey_year,
hlfs_qrt,
hh_id
;



/*
-- Clean up
drop table #wgt_gss
drop table #hwgt1
drop table #hwgt2
drop table #hwgt3
drop table #hwgt4
drop table #hwgt1b
drop table #hwgt2b
drop table #hwgt3b
drop table #hwgt4b
drop table #hwgt_all
drop table #wgt_gss_hlfs
drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_1_2_wgt]
drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1_wgt]    
drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2_wgt]   
drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd1]    
drop table IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd2]  
*/

-- FINAL TABLE: 
-- IDI_Sandpit.[DL-MAA2019-70].[gss_hlfs_msd_all_wgt]

